> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve a mandate for downloading a credit memo

GET https://rest.test.zuora.com/v1/credit-memos/{creditMemoKey}/e-invoice/mandate

Fetches mandates for downloading a Credit Memo file based on the country code, category, and process type selection.

**Note**: This operation is available only if you have the E-Invoicing feature for Avalara in **Early Availabiltiy** phase enabled.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/e-invoicing/get-einvoice-credit-memo-mandate

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `creditMemoKey` (string, required) — The unique number or ID of the Credit Memo.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `success` (list of GETEinvoiceCreditMemosMandate, optional) — Container for fetching mandates.
- `error` (list of GETEinvoiceCreditMemosMandatesErrors, optional) — Container for fetching validation errors.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GETEinvoiceCreditMemosMandate

- `countryCode` (string, optional) — 2-digit country code.
- `fileFormats` (list of string, optional) — Following mapping will be used for user representation of file formats: - XML: `application/xml` - PDF: `application/pdf` - ZIP: `application/zip` - OASIS_Universal_Business_Language_XML: `application/vnd.oasis.ubl+xml`
- `category` (enum, optional) — Business categories that Zuora supports for customer accounts. Supported values are B2B, B2C, or B2G.
  - Allowed values: `B2B`, `B2C`, `B2G`
- `processType` (enum, optional) — The process type of the e-invoicing business region. - If the service provider is Sovos, the process type is `Clearance` or `ClearanceWithCancellation`. - If the service provider is Avalara, the process type is `Clearance` or `PEPPOLNetwork`. - If the service provider is PEPPOL, the process type is `Unknown`.
  - Allowed values: `Clearance`, `ClearanceWithCancellation`, `PEPPOLNetwork`, `Unknown`
- `defaultFileFormats` (string, optional) — The default file format.

### GETEinvoiceCreditMemosMandatesErrors

- `success` (boolean, optional) — Returns `false` if the request was not processed successfully.
- `processId` (string, optional) — Process Id of the validation error.
- `requestId` (string, optional) — Request Id for the validation error.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

### Success

**Response**

```json
{
  "success": [],
  "category": "B2G",
  "countryCode": "AU",
  "defaultFileFormats": [
    "XML"
  ],
  "fileFormats": [
    "XML",
    "OASIS_UBL_XML"
  ],
  "processType": "PEPPOLNetwork"
}
```

**SDK Code**

```python Success
import requests

url = "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Validation Error#1

**Response**

```json
{
  "success": [],
  "processId": "A214477BE49D98ED",
  "reasons": {
    "code": "50000020",
    "message": "E-Invoice for the document [<document-key>] is not submitted to Avalara and hence this request cannot be accepted"
  },
  "requestId": "0e9c4ba6-a118-4f64-90df-23f7ce3d004c"
}
```

**SDK Code**

```python Validation Error#1
import requests

url = "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Validation Error#1
const url = 'https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Validation Error#1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Validation Error#1
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Validation Error#1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Validation Error#1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Validation Error#1
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Validation Error#1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/credit-memos/creditMemoKey/e-invoice/mandate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```